/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { SignificantItem } from '@kbn/ml-agg-utils';

// Named topTerms since all these items are of type `keyword`.
export const topTerms: SignificantItem[] = [
  {
    bg_count: 0,
    doc_count: 5102,
    fieldName: 'version',
    fieldValue: 'v1.0.0',
    key: 'version:v1.0.0',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 2272,
    fieldName: 'response_code',
    fieldValue: '500',
    key: 'response_code:500',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 2197,
    fieldName: 'url',
    fieldValue: 'home.php',
    key: 'url:home.php',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 1981,
    fieldName: 'user',
    fieldValue: 'Peter',
    key: 'user:Peter',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 1773,
    fieldName: 'user',
    fieldValue: 'Paul',
    key: 'user:Paul',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 1574,
    fieldName: 'url',
    fieldValue: 'login.php',
    key: 'url:login.php',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 1569,
    fieldName: 'response_code',
    fieldValue: '404',
    key: 'response_code:404',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 1348,
    fieldName: 'user',
    fieldValue: 'Mary',
    key: 'user:Mary',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 1331,
    fieldName: 'url',
    fieldValue: 'user.php',
    key: 'url:user.php',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
  {
    bg_count: 0,
    doc_count: 1261,
    fieldName: 'response_code',
    fieldValue: '200',
    key: 'response_code:200',
    normalizedScore: 0,
    pValue: 1,
    score: 0,
    total_bg_count: 0,
    total_doc_count: 0,
    type: 'keyword',
  },
];
