/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// Careful of exporting anything from this file as any file(s) you export here will cause your page bundle size to increase.
// If you're using functions/types/etc... internally or within integration tests it's best to import directly from their paths
// than expose the functions/types/etc... here. You should _only_ expose functions/types/etc... that need to be shared with other plugins here.

export type {
  CspStatusCode,
  IndexStatus,
  IndexDetails,
  BaseCspSetupBothPolicy,
  BaseCspSetupStatus,
  CspSetupStatus,
} from './types/status';
export type { CspFinding, CspFindingResult } from './types/findings';
export type {
  CspVulnerabilityFinding,
  Vulnerability,
} from './schema/vulnerabilities/csp_vulnerability_finding';
export type { BenchmarksCisId } from './types/benchmark';
export type { VulnSeverity } from './types/vulnerabilities';
export type { BenchmarkId, BenchmarkName } from './types/types_old';
export type {
  CspNavigationItem,
  CspPageNavigationItem,
  CspBenchmarksPage,
  CloudSecurityPosturePageId,
} from './types/navigation';
export type { MisconfigurationEvaluationStatus } from './types/misconfigurations';
export * from './constants';
export {
  extractErrorMessage,
  buildMutedRulesFilter,
  buildGenericEntityFlyoutPreviewQuery,
  buildMisconfigurationEntityFlyoutPreviewQuery,
  buildVulnerabilityEntityFlyoutPreviewQuery,
} from './utils/helpers';
export { getAbbreviatedNumber } from './utils/get_abbreviated_number';
export { createDetectionRule } from './rules/create_detection_rule';
export { UiMetricService } from './utils/ui_metrics';
export {
  generateBenchmarkRuleTags,
  getFindingsDetectionRuleSearchTags,
} from './rules/detection_rules';
export type { RuleResponse } from './rules/rule';
