/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Post Defend Insights API endpoint
 *   version: 1
 */

import { z } from '@kbn/zod';

import { NonEmptyString } from '../common_attributes.gen';
import { DefendInsightType, DefendInsightsResponse } from './common_attributes.gen';
import { AnonymizationFieldResponse } from '../anonymization_fields/bulk_crud_anonymization_fields_route.gen';
import { ApiConfig, Replacements } from '../conversations/common_attributes.gen';

export type DefendInsightsPostRequestBody = z.infer<typeof DefendInsightsPostRequestBody>;
export const DefendInsightsPostRequestBody = z.object({
  endpointIds: z.array(NonEmptyString),
  insightType: DefendInsightType,
  anonymizationFields: z.array(AnonymizationFieldResponse),
  /**
   * LLM API configuration.
   */
  apiConfig: ApiConfig,
  langSmithProject: z.string().optional(),
  langSmithApiKey: z.string().optional(),
  model: z.string().optional(),
  replacements: Replacements.optional(),
  subAction: z.enum(['invokeAI', 'invokeStream']),
});
export type DefendInsightsPostRequestBodyInput = z.input<typeof DefendInsightsPostRequestBody>;

export type DefendInsightsPostResponse = z.infer<typeof DefendInsightsPostResponse>;
export const DefendInsightsPostResponse = DefendInsightsResponse;
