/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Post Evaluate API endpoint
 *   version: 1
 */

import { z } from '@kbn/zod';

import { Replacements } from '../conversations/common_attributes.gen';
import { ScreenContext } from '../common_attributes.gen';

export type PostEvaluateBody = z.infer<typeof PostEvaluateBody>;
export const PostEvaluateBody = z.object({
  graphs: z.array(z.string()),
  datasetName: z.string(),
  evaluatorConnectorId: z.string().optional(),
  connectorIds: z.array(z.string()),
  runName: z.string().optional(),
  alertsIndexPattern: z.string().optional().default('.alerts-security.alerts-default'),
  langSmithApiKey: z.string().optional(),
  langSmithProject: z.string().optional(),
  replacements: Replacements.optional().default({}),
  screenContext: ScreenContext.optional(),
  size: z.number().optional().default(20),
});

export type PostEvaluateRequestBody = z.infer<typeof PostEvaluateRequestBody>;
export const PostEvaluateRequestBody = PostEvaluateBody;
export type PostEvaluateRequestBodyInput = z.input<typeof PostEvaluateRequestBody>;

export type PostEvaluateResponse = z.infer<typeof PostEvaluateResponse>;
export const PostEvaluateResponse = z.object({
  evaluationId: z.string(),
  success: z.boolean(),
});
