/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Manage Knowledge Base Entries API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  KnowledgeBaseEntryCreateProps,
  KnowledgeBaseEntryResponse,
  KnowledgeBaseEntryUpdateRouteProps,
  DeleteResponseFields,
} from './common_attributes.gen';
import { NonEmptyString } from '../../common_attributes.gen';

export type CreateKnowledgeBaseEntryRequestBody = z.infer<
  typeof CreateKnowledgeBaseEntryRequestBody
>;
export const CreateKnowledgeBaseEntryRequestBody = KnowledgeBaseEntryCreateProps;
export type CreateKnowledgeBaseEntryRequestBodyInput = z.input<
  typeof CreateKnowledgeBaseEntryRequestBody
>;

export type CreateKnowledgeBaseEntryResponse = z.infer<typeof CreateKnowledgeBaseEntryResponse>;
export const CreateKnowledgeBaseEntryResponse = KnowledgeBaseEntryResponse;

export type DeleteKnowledgeBaseEntryRequestParams = z.infer<
  typeof DeleteKnowledgeBaseEntryRequestParams
>;
export const DeleteKnowledgeBaseEntryRequestParams = z.object({
  /**
   * The Knowledge Base Entry's `id` value
   */
  id: NonEmptyString,
});
export type DeleteKnowledgeBaseEntryRequestParamsInput = z.input<
  typeof DeleteKnowledgeBaseEntryRequestParams
>;

export type DeleteKnowledgeBaseEntryResponse = z.infer<typeof DeleteKnowledgeBaseEntryResponse>;
export const DeleteKnowledgeBaseEntryResponse = DeleteResponseFields;

export type ReadKnowledgeBaseEntryRequestParams = z.infer<
  typeof ReadKnowledgeBaseEntryRequestParams
>;
export const ReadKnowledgeBaseEntryRequestParams = z.object({
  /**
   * The Knowledge Base Entry's `id` value.
   */
  id: NonEmptyString,
});
export type ReadKnowledgeBaseEntryRequestParamsInput = z.input<
  typeof ReadKnowledgeBaseEntryRequestParams
>;

export type ReadKnowledgeBaseEntryResponse = z.infer<typeof ReadKnowledgeBaseEntryResponse>;
export const ReadKnowledgeBaseEntryResponse = KnowledgeBaseEntryResponse;

export type UpdateKnowledgeBaseEntryRequestParams = z.infer<
  typeof UpdateKnowledgeBaseEntryRequestParams
>;
export const UpdateKnowledgeBaseEntryRequestParams = z.object({
  /**
   * The Knowledge Base Entry's `id` value
   */
  id: NonEmptyString,
});
export type UpdateKnowledgeBaseEntryRequestParamsInput = z.input<
  typeof UpdateKnowledgeBaseEntryRequestParams
>;

export type UpdateKnowledgeBaseEntryRequestBody = z.infer<
  typeof UpdateKnowledgeBaseEntryRequestBody
>;
export const UpdateKnowledgeBaseEntryRequestBody = KnowledgeBaseEntryUpdateRouteProps;
export type UpdateKnowledgeBaseEntryRequestBodyInput = z.input<
  typeof UpdateKnowledgeBaseEntryRequestBody
>;

export type UpdateKnowledgeBaseEntryResponse = z.infer<typeof UpdateKnowledgeBaseEntryResponse>;
export const UpdateKnowledgeBaseEntryResponse = KnowledgeBaseEntryResponse;
