/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const KNOWLEDGE_BASE_TOUR_KNOWLEDGE_BASE_TITLE = i18n.translate(
  'xpack.elasticAssistant.knowledgeBase.tour.navStep.title',
  {
    defaultMessage: 'New: Custom Knowledge Sources',
  }
);

export const KNOWLEDGE_BASE_TOUR_KNOWLEDGE_BASE_DESC = i18n.translate(
  'xpack.elasticAssistant.knowledgeBase.tour.navStep.desc',
  {
    defaultMessage:
      'Access the new settings menu to add custom data sources for use within the AI Assistant.',
  }
);

export const KNOWLEDGE_BASE_TOUR_VIDEO_STEP_TITLE = i18n.translate(
  'xpack.elasticAssistant.knowledgeBase.tour.videoStep.title',
  {
    defaultMessage: 'Introducing Custom Knowledge Sources',
  }
);

export const KNOWLEDGE_BASE_TOUR_VIDEO_STEP_DESC = i18n.translate(
  'xpack.elasticAssistant.knowledgeBase.tour.videoStep.desc',
  {
    defaultMessage:
      'Custom knowledge sources enable you to receive bespoke, tailored responses from the AI Assistant. Watch this video to learn how to add your own data sources and explore examples of how they can be applied in a security operations context.',
  }
);

export const KNOWLEDGE_BASE_TOUR_EXIT = i18n.translate(
  'xpack.elasticAssistant.knowledgeBase.tour.exit',
  {
    defaultMessage: 'Close',
  }
);

export const KNOWLEDGE_BASE_TRY_IT = i18n.translate(
  'xpack.elasticAssistant.knowledgeBase.tour.tryIt',
  {
    defaultMessage: 'Try it',
  }
);

export const WATCH_OVERVIEW_VIDEO = i18n.translate(
  'xpack.elasticAssistant.knowledgeBase.tour.video',
  {
    defaultMessage: 'Watch overview video',
  }
);
