/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import React from 'react';
import { i18n } from '@kbn/i18n';

import { TooltipIcon, IconType } from '../tooltip_icon';

const strings = {
  getFailureTooltip: () =>
    i18n.translate('xpack.canvas.argFormSimpleFailure.failureTooltip', {
      defaultMessage:
        'The interface for this argument could not parse the value, so a fallback input is being used',
    }),
};

// This is what is being generated by render() from the Arg class. It is called in FunctionForm
export const SimpleFailure = () => (
  <div className="canvasArg--error canvasArg--error-simple">
    <TooltipIcon position="left" icon={IconType.warning} content={strings.getFailureTooltip()} />
  </div>
);
