# Documentation for Stack Monitoring developers

This plugin provides the Stack Monitoring kibana application.

## Getting started
- [Local setup](dev_docs/how_to/local_setup.md)
- [Cloud setup](dev_docs/how_to/cloud_setup.md)
- [Testing](dev_docs/how_to/testing.md)
- [Version Compatibility](dev_docs/how_to/version_compatibility.md)

## Concepts
- [Architectural Overview](dev_docs/reference/architectural_overview.md)
- [Terminology](dev_docs/reference/terminology.md)
- [Data Collection modes](dev_docs/reference/data_collection_modes.md)
- [Rules and Alerts](dev_docs/reference/rules_alerts.md)
- [Indices](dev_docs/reference/indices.md)

## Tooling
- [Debugging logging](dev_docs/how_to/debug_logging.md)
- [APM tracing](dev_docs/how_to/apm_tracing.md)

## Troubleshooting
- [Diagnostic queries](dev_docs/runbook/diagnostic_queries.md)
- [CPU metrics](dev_docs/runbook/cpu_metrics.md)

## Additional reference

- [Internal documentation for engineers working on Stack Monitoring](https://github.com/elastic/observability-dev/tree/main/docs/monitoring)