/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Auto Import Analyze Logs API endpoint
 *   version: 1
 */

import { z } from '@kbn/zod';

import {
  PackageName,
  DataStreamName,
  PackageTitle,
  DataStreamTitle,
  LogSamples,
  Connector,
  LangSmithOptions,
} from '../model/common_attributes.gen';
import { AnalyzeLogsAPIResponse } from '../model/response_schemas.gen';

export type AnalyzeLogsRequestBody = z.infer<typeof AnalyzeLogsRequestBody>;
export const AnalyzeLogsRequestBody = z.object({
  packageName: PackageName,
  dataStreamName: DataStreamName,
  packageTitle: PackageTitle,
  dataStreamTitle: DataStreamTitle,
  logSamples: LogSamples,
  connectorId: Connector,
  langSmithOptions: LangSmithOptions.optional(),
});
export type AnalyzeLogsRequestBodyInput = z.input<typeof AnalyzeLogsRequestBody>;

export type AnalyzeLogsResponse = z.infer<typeof AnalyzeLogsResponse>;
export const AnalyzeLogsResponse = AnalyzeLogsAPIResponse;
