/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Automatic Import Categorization API endpoint
 *   version: 1
 */

import { z } from '@kbn/zod';

import {
  PackageName,
  DataStreamName,
  RawSamples,
  Pipeline,
  Connector,
  SamplesFormat,
  LangSmithOptions,
} from '../model/common_attributes.gen';
import { CategorizationAPIResponse } from '../model/response_schemas.gen';

export type CategorizationRequestBody = z.infer<typeof CategorizationRequestBody>;
export const CategorizationRequestBody = z.object({
  packageName: PackageName,
  dataStreamName: DataStreamName,
  rawSamples: RawSamples,
  currentPipeline: Pipeline,
  connectorId: Connector,
  samplesFormat: SamplesFormat,
  langSmithOptions: LangSmithOptions.optional(),
});
export type CategorizationRequestBodyInput = z.input<typeof CategorizationRequestBody>;

export type CategorizationResponse = z.infer<typeof CategorizationResponse>;
export const CategorizationResponse = CategorizationAPIResponse;
