/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Automatic Import ECS Mapping API endpoint
 *   version: 1
 */

import { z } from '@kbn/zod';

import {
  PackageName,
  DataStreamName,
  RawSamples,
  SamplesFormat,
  Mapping,
  Connector,
  LangSmithOptions,
} from '../model/common_attributes.gen';
import { ESProcessorItem } from '../model/processor_attributes.gen';
import { EcsMappingAPIResponse } from '../model/response_schemas.gen';

export type EcsMappingRequestBody = z.infer<typeof EcsMappingRequestBody>;
export const EcsMappingRequestBody = z.object({
  packageName: PackageName,
  dataStreamName: DataStreamName,
  rawSamples: RawSamples,
  samplesFormat: SamplesFormat,
  mapping: Mapping.optional(),
  additionalProcessors: z.array(ESProcessorItem).optional(),
  connectorId: Connector,
  langSmithOptions: LangSmithOptions.optional(),
});
export type EcsMappingRequestBodyInput = z.input<typeof EcsMappingRequestBody>;

export type EcsMappingResponse = z.infer<typeof EcsMappingResponse>;
export const EcsMappingResponse = EcsMappingAPIResponse;
