/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Common Rule Attributes
 *   version: not applicable
 */

import type { ZodTypeDef } from '@kbn/zod';
import { z } from '@kbn/zod';

/**
 * Processor options for the Elasticsearch processor.
 */
export interface ESProcessorOptions {
  /**
   * An array of items to execute if the processor fails.
   */
  on_failure?: ESProcessorItem[];
  /**
   * If true, the processor continues to the next processor if the current processor fails.
   */
  ignore_failure?: boolean;
  /**
   * If true, the processor continues to the next processor if the field is missing.
   */
  ignore_missing?: boolean;
  /**
   * Conditionally execute the processor.
   */
  if?: string;
  /**
   * A tag to assign to the document after processing.
   */
  tag?: string;
  [key: string]: unknown;
}
export interface ESProcessorOptionsInput {
  /**
   * An array of items to execute if the processor fails.
   */
  on_failure?: ESProcessorItemInput[];
  /**
   * If true, the processor continues to the next processor if the current processor fails.
   */
  ignore_failure?: boolean;
  /**
   * If true, the processor continues to the next processor if the field is missing.
   */
  ignore_missing?: boolean;
  /**
   * Conditionally execute the processor.
   */
  if?: string;
  /**
   * A tag to assign to the document after processing.
   */
  tag?: string;
  [key: string]: unknown;
}
export const ESProcessorOptions: z.ZodType<
  ESProcessorOptions,
  ZodTypeDef,
  ESProcessorOptionsInput
> = z
  .object({
    /**
     * An array of items to execute if the processor fails.
     */
    on_failure: z.array(z.lazy(() => ESProcessorItem)).optional(),
    /**
     * If true, the processor continues to the next processor if the current processor fails.
     */
    ignore_failure: z.boolean().optional(),
    /**
     * If true, the processor continues to the next processor if the field is missing.
     */
    ignore_missing: z.boolean().optional(),
    /**
     * Conditionally execute the processor.
     */
    if: z.string().optional(),
    /**
     * A tag to assign to the document after processing.
     */
    tag: z.string().optional(),
  })
  .catchall(z.unknown());

/**
 * Processor item for the Elasticsearch processor.
 */
export interface ESProcessorItem {
  [key: string]: ESProcessorOptions;
}
export interface ESProcessorItemInput {
  [key: string]: ESProcessorOptionsInput;
}
export const ESProcessorItem: z.ZodType<ESProcessorItem, ZodTypeDef, ESProcessorItemInput> = z
  .object({})
  .catchall(z.lazy(() => ESProcessorOptions));
