/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const ENTERPRISE_LICENSE_LABEL = i18n.translate(
  'xpack.automaticImport.license.enterprise.label',
  {
    defaultMessage: 'Enterprise',
  }
);

export const ENTERPRISE_LICENSE_TITLE = i18n.translate(
  'xpack.automaticImport.license.enterprise.title',
  {
    defaultMessage: 'Enterprise License Required',
  }
);
export const ENTERPRISE_LICENSE_UPGRADE_TITLE = i18n.translate(
  'xpack.automaticImport.license.enterprise.upgradeTitle',
  {
    defaultMessage: 'Upgrade to Elastic Enterprise',
  }
);
export const ENTERPRISE_LICENSE_UPGRADE_DESCRIPTION = i18n.translate(
  'xpack.automaticImport.license.enterprise.upgradeDescription',
  {
    defaultMessage:
      'To turn on this feature, you must upgrade your license to Enterprise or start a free 30-day trial',
  }
);
export const ENTERPRISE_LICENSE_UPGRADE_BUTTON = i18n.translate(
  'xpack.automaticImport.license.enterprise.upgradeButton',
  {
    defaultMessage: 'Upgrade license',
  }
);
