/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const SUCCESS_TITLE = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.title',
  {
    defaultMessage: 'Success',
  }
);

export const SUCCESS_DESCRIPTION = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.description',
  {
    defaultMessage: 'Your integration is successfully created.',
  }
);

export const ADD_TO_AGENT_TITLE = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.addToAgent.title',
  {
    defaultMessage: 'Add to an agent',
  }
);

export const ADD_TO_AGENT_DESCRIPTION = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.addToAgent.description',
  {
    defaultMessage: 'Add your new integration to an agent to start collecting data',
  }
);

export const ADD_TO_AGENT_BUTTON = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.addToAgent.button',
  {
    defaultMessage: 'Add to an agent',
  }
);

export const VIEW_INTEGRATION_TITLE = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.viewIntegration.title',
  {
    defaultMessage: 'View integration',
  }
);

export const VIEW_INTEGRATION_DESCRIPTION = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.viewIntegration.description',
  {
    defaultMessage: 'See detailed information about your new custom integration',
  }
);

export const VIEW_INTEGRATION_BUTTON = i18n.translate(
  'xpack.automaticImport.createIntegrationSuccess.viewIntegration.button',
  {
    defaultMessage: 'View Integration',
  }
);
