/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

export * from './types';
export { makeRouterWithFleetAuthz } from './fleet_router';
export { getRouteRequiredAuthz } from './route_required_authz';
export {
  checkSecurityEnabled,
  checkSuperuser,
  calculateRouteAuthz,
  getAuthzFromRequest,
  doesNotHaveRequiredFleetAuthz,
} from './security';
export type { MessageSigningServiceInterface } from './message_signing_service';
export { MessageSigningService } from './message_signing_service';
