/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const URL_LABEL = i18n.translate('xpack.stackConnectors.components.thehive.urlFieldLabel', {
  defaultMessage: 'URL',
});

export const ORGANISATION_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.organisationFieldLabel',
  {
    defaultMessage: 'Organisation',
  }
);

export const ORGANISATION_HELP_TEXT = i18n.translate(
  'xpack.stackConnectors.components.thehive.organisationFieldHelpText',
  {
    defaultMessage: 'By default, it uses the default organisation of the API key owner.',
  }
);

export const API_KEY_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.apiKeyFieldLabel',
  {
    defaultMessage: 'API key',
  }
);

export const EVENT_ACTION_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.eventActionSelectFieldLabel',
  {
    defaultMessage: 'Event action',
  }
);

export const TITLE_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.titleFieldLabel',
  {
    defaultMessage: 'Title',
  }
);

export const DESCRIPTION_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.descriptionFieldLabel',
  {
    defaultMessage: 'Description',
  }
);

export const TLP_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.tlpSelectFieldLabel',
  {
    defaultMessage: 'TLP',
  }
);

export const SEVERITY_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.severitySelectFieldLabel',
  {
    defaultMessage: 'Severity',
  }
);

export const TAGS_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.TagsMultiSelectFieldLabel',
  {
    defaultMessage: 'Tags',
  }
);

export const COMMENTS_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.commentsTextAreaFieldLabel',
  {
    defaultMessage: 'Additional comments',
  }
);

export const TYPE_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.typeFieldLabel',
  {
    defaultMessage: 'Type',
  }
);

export const SOURCE_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.sourceFieldLabel',
  {
    defaultMessage: 'Source',
  }
);

export const SOURCE_REF_LABEL = i18n.translate(
  'xpack.stackConnectors.components.thehive.sourceRefFieldLabel',
  {
    defaultMessage: 'Source reference',
  }
);

export const TITLE_REQUIRED = i18n.translate(
  'xpack.stackConnectors.components.thehive.requiredTitleText',
  {
    defaultMessage: 'Title is required.',
  }
);

export const DESCRIPTION_REQUIRED = i18n.translate(
  'xpack.stackConnectors.components.thehive.requiredDescriptionText',
  {
    defaultMessage: 'Description is required.',
  }
);

export const TYPE_REQUIRED = i18n.translate(
  'xpack.stackConnectors.components.thehive.requiredTypeText',
  {
    defaultMessage: 'Type is required.',
  }
);

export const SOURCE_REQUIRED = i18n.translate(
  'xpack.stackConnectors.components.thehive.requiredSourceText',
  {
    defaultMessage: 'Source is required.',
  }
);

export const SOURCE_REF_REQUIRED = i18n.translate(
  'xpack.stackConnectors.components.thehive.requiredSourceRefText',
  {
    defaultMessage: 'Source reference is required.',
  }
);
