/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { EqlSearchStrategyResponse } from '@kbn/data-plugin/common';
import { EqlSearchResponse } from '../../../../../common/search_strategy';

export const sequenceResponse = {
  rawResponse: {
    is_partial: false,
    is_running: false,
    took: 527,
    timed_out: false,
    hits: {
      total: {
        value: 10,
        relation: 'eq',
      },
      sequences: [
        {
          join_keys: ['win2019-endpoint-mr-pedro'],
          events: [
            {
              _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
              _id: 'qhymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3377092Z'],
                message: ['Endpoint security event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTIzODAtMTMyNTUwNzg2ODkuOTY1Nzg1NTAw',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU2OC0xMzI1NTA3ODY2Ny4zMjk3MDY2MDA=',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.name': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
                ],
                'process.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293866],
                'event.ingested': ['2021-02-08T21:57:26.417559711Z'],
                'event.created': ['2021-02-08T21:50:28.3377092Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['log_on'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/O'],
                'event.category': ['authentication', 'session'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.security'],
                'event.outcome': ['success'],
                'user.domain': ['NT AUTHORITY'],
                'user.name': ['SYSTEM'],
              },
            },
            {
              _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
              _id: 'qxymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3377142Z'],
                message: ['Endpoint security event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
                ],
                'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293867],
                'event.ingested': ['2021-02-08T21:57:26.417596906Z'],
                'event.created': ['2021-02-08T21:50:28.3377142Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['log_on'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/P'],
                'event.category': ['authentication', 'session'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.security'],
                'event.outcome': ['success'],
                'user.domain': ['NT AUTHORITY'],
                'user.name': ['SYSTEM'],
              },
            },
            {
              _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
              _id: 'rBymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3381013Z'],
                message: ['Endpoint security event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
                ],
                'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293868],
                'event.ingested': ['2021-02-08T21:57:26.417632166Z'],
                'event.created': ['2021-02-08T21:50:28.3381013Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['log_on'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/Q'],
                'event.category': ['authentication', 'session'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.security'],
                'event.outcome': ['success'],
                'user.domain': ['NT AUTHORITY'],
                'user.name': ['SYSTEM'],
              },
            },
          ],
        },
        {
          join_keys: ['win2019-endpoint-mr-pedro'],
          events: [
            {
              _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
              _id: 'qhymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3377142Z'],
                message: ['Endpoint security event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
                ],
                'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293867],
                'event.ingested': ['2021-02-08T21:57:26.417596906Z'],
                'event.created': ['2021-02-08T21:50:28.3377142Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['log_on'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/P'],
                'event.category': ['authentication', 'session'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.security'],
                'event.outcome': ['success'],
                'user.domain': ['NT AUTHORITY'],
                'user.name': ['SYSTEM'],
              },
            },
            {
              _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
              _id: 'rBymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3381013Z'],
                message: ['Endpoint security event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
                ],
                'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293868],
                'event.ingested': ['2021-02-08T21:57:26.417632166Z'],
                'event.created': ['2021-02-08T21:50:28.3381013Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['log_on'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/Q'],
                'event.category': ['authentication', 'session'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.security'],
                'event.outcome': ['success'],
                'user.domain': ['NT AUTHORITY'],
                'user.name': ['SYSTEM'],
              },
            },
            {
              _index: '.ds-logs-endpoint.events.process-default-2021.02.02-000005',
              _id: 'pxymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3446355Z'],
                message: ['Endpoint security event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTIzODAtMTMyNTUwNzg2ODkuOTY1Nzg1NTAw',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU2OC0xMzI1NTA3ODY2Ny4zMjk3MDY2MDA=',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.Ext.code_signature': [
                  {
                    trusted: true,
                    subject_name: 'Microsoft Corporation',
                    exists: true,
                    status: 'trusted',
                  },
                ],
                'process.Ext.token.integrity_level_name': ['high'],
                'process.Ext.token.elevation_level': ['default'],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTYzNjgtMTMyNTcyOTQ2MjguMzQ0NjM1NTAw',
                ],
                'process.args': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe', '-y'],
                'process.parent.args': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe', '-R'],
                'process.parent.name': ['sshd.exe'],
                'process.parent.pid': [5284],
                'process.parent.args_count': [2],
                'process.parent.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
                ],
                'process.parent.command_line': ['"C:\\Program Files\\OpenSSH-Win64\\sshd.exe" -R'],
                'process.parent.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
                'process.code_signature.trusted': [true],
                'process.code_signature.subject_name': ['Microsoft Corporation'],
                'process.code_signature.exists': [true],
                'process.code_signature.status': ['trusted'],
                'process.name': ['sshd.exe'],
                'process.pid': [6368],
                'process.args_count': [2],
                'process.command_line': ['"C:\\Program Files\\OpenSSH-Win64\\sshd.exe" -y'],
                'process.hash.sha1': ['631244d731f406394c17c7dfd85203e317c74814'],
                'process.hash.sha256': [
                  'e6a972f9db27de18be225095b3b3141b945be8aadc4014c8704ae5acafe3e8e0',
                ],
                'process.hash.md5': ['331ba0e529810ef718dd3efbd1242302'],
                'process.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293863],
                'event.ingested': ['2021-02-08T21:57:26.417387865Z'],
                'event.created': ['2021-02-08T21:50:28.3446355Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['log_on'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/K'],
                'event.category': ['authentication', 'session'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.security'],
                'event.outcome': ['success'],
                'user.domain': [''],
                'user.name': [''],
              },
            },
          ],
        },
        {
          join_keys: ['win2019-endpoint-mr-pedro'],
          events: [
            {
              _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
              _id: 'rBymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3381013Z'],
                message: ['Endpoint security event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
                ],
                'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293868],
                'event.ingested': ['2021-02-08T21:57:26.417632166Z'],
                'event.created': ['2021-02-08T21:50:28.3381013Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/Q'],
                'event.category': [],
                'event.type': [],
                'event.dataset': ['endpoint.events.security'],
                'user.domain': ['NT AUTHORITY'],
                'user.name': ['SYSTEM'],
              },
            },
            {
              _index: '.ds-logs-endpoint.events.process-default-2021.02.02-000005',
              _id: 'pxymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.3446355Z'],
                message: ['Endpoint process event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTIzODAtMTMyNTUwNzg2ODkuOTY1Nzg1NTAw',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU2OC0xMzI1NTA3ODY2Ny4zMjk3MDY2MDA=',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.Ext.code_signature': [
                  {
                    trusted: true,
                    subject_name: 'Microsoft Corporation',
                    exists: true,
                    status: 'trusted',
                  },
                ],
                'process.Ext.token.integrity_level_name': ['high'],
                'process.Ext.token.elevation_level': ['default'],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTYzNjgtMTMyNTcyOTQ2MjguMzQ0NjM1NTAw',
                ],
                'process.args': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe', '-y'],
                'process.parent.args': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe', '-R'],
                'process.parent.name': ['sshd.exe'],
                'process.parent.pid': [5284],
                'process.parent.args_count': [2],
                'process.parent.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
                ],
                'process.parent.command_line': ['"C:\\Program Files\\OpenSSH-Win64\\sshd.exe" -R'],
                'process.parent.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
                'process.code_signature.trusted': [true],
                'process.code_signature.subject_name': ['Microsoft Corporation'],
                'process.code_signature.exists': [true],
                'process.code_signature.status': ['trusted'],
                'process.name': ['sshd.exe'],
                'process.pid': [6368],
                'process.args_count': [2],
                'process.command_line': ['"C:\\Program Files\\OpenSSH-Win64\\sshd.exe" -y'],
                'process.hash.sha1': ['631244d731f406394c17c7dfd85203e317c74814'],
                'process.hash.sha256': [
                  'e6a972f9db27de18be225095b3b3141b945be8aadc4014c8704ae5acafe3e8e0',
                ],
                'process.hash.md5': ['331ba0e529810ef718dd3efbd1242302'],
                'process.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
                'ecs.version': ['1.5.0'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.process'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293863],
                'event.ingested': ['2021-02-08T21:57:26.417387865Z'],
                'event.created': ['2021-02-08T21:50:28.3446355Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['start'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/K'],
                'event.category': ['process'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.process'],
                'user.domain': [''],
                'user.name': [''],
              },
            },
            {
              _index: '.ds-logs-endpoint.events.network-default-2021.02.02-000005',
              _id: 'qBymg3cBX5UUcOOYP3Ec',
              fields: {
                'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
                'agent.type': ['endpoint'],
                'agent.version': ['7.10.0'],
                '@timestamp': ['2021-02-08T21:50:28.5553532Z'],
                message: ['Endpoint network event'],
                'process.Ext.ancestry': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU2OC0xMzI1NTA3ODY2Ny4zMjk3MDY2MDA=',
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
                ],
                'process.name': ['svchost.exe'],
                'process.entity_id': [
                  'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTk2OC0xMzI1NTA3ODY3My4yNjQyNDcyMDA=',
                ],
                'process.executable': ['C:\\Windows\\System32\\svchost.exe'],
                'ecs.version': ['1.5.0'],
                'destination.address': ['10.128.0.57'],
                'destination.port': [3389],
                'destination.bytes': [1681],
                'destination.ip': ['10.128.0.57'],
                'source.address': ['142.202.189.139'],
                'source.port': [16151],
                'source.bytes': [1224],
                'source.ip': ['142.202.189.139'],
                'network.transport': ['tcp'],
                'network.type': ['ipv4'],
                'network.direction': ['incoming'],
                'data_stream.namespace': ['default'],
                'data_stream.type': ['logs'],
                'data_stream.dataset': ['endpoint.events.security'],
                'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
                'host.hostname': ['win2019-endpoint-mr-pedro'],
                'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
                'host.os.name': ['Windows'],
                'host.os.kernel': ['1809 (10.0.17763.1697)'],
                'host.os.family': ['windows'],
                'host.os.version': ['1809 (10.0.17763.1697)'],
                'host.os.platform': ['windows'],
                'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
                'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
                'host.name': ['win2019-endpoint-mr-pedro'],
                'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
                'host.mac': ['42:01:0a:80:00:39'],
                'host.architecture': ['x86_64'],
                'event.sequence': [3293864],
                'event.ingested': ['2021-02-08T21:57:26.417451347Z'],
                'event.created': ['2021-02-08T21:50:28.5553532Z'],
                'event.kind': ['event'],
                'event.module': ['endpoint'],
                'event.action': ['disconnect_received'],
                'event.id': ['LzzWB9jjGmCwGMvk++++FG/L'],
                'event.category': ['network'],
                'event.type': ['start'],
                'event.dataset': ['endpoint.events.network'],
                'user.domain': ['NT AUTHORITY'],
                'user.name': ['SYSTEM'],
              },
            },
          ],
        },
      ],
    },
    statusCode: 200,
    headers: {},
    meta: {},
  },
} as unknown as EqlSearchStrategyResponse<EqlSearchResponse<unknown>>;

export const eventsResponse = {
  rawResponse: {
    is_partial: false,
    is_running: false,
    took: 527,
    timed_out: false,
    hits: {
      total: {
        value: 10,
        relation: 'eq',
      },
      events: [
        {
          _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
          _id: 'qhymg3cBX5UUcOOYP3Ec',
          fields: {
            'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
            'agent.type': ['endpoint'],
            'agent.version': ['7.10.0'],
            '@timestamp': ['2021-02-08T21:50:28.3377092Z'],
            message: ['Endpoint security event'],
            'process.Ext.ancestry': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTIzODAtMTMyNTUwNzg2ODkuOTY1Nzg1NTAw',
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU2OC0xMzI1NTA3ODY2Ny4zMjk3MDY2MDA=',
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
            ],
            'process.name': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
            'process.entity_id': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
            ],
            'process.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
            'ecs.version': ['1.5.0'],
            'data_stream.namespace': ['default'],
            'data_stream.type': ['logs'],
            'data_stream.dataset': ['endpoint.events.security'],
            'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
            'host.hostname': ['win2019-endpoint-mr-pedro'],
            'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
            'host.os.name': ['Windows'],
            'host.os.kernel': ['1809 (10.0.17763.1697)'],
            'host.os.family': ['windows'],
            'host.os.version': ['1809 (10.0.17763.1697)'],
            'host.os.platform': ['windows'],
            'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
            'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
            'host.name': ['win2019-endpoint-mr-pedro'],
            'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
            'host.mac': ['42:01:0a:80:00:39'],
            'host.architecture': ['x86_64'],
            'event.sequence': [3293866],
            'event.ingested': ['2021-02-08T21:57:26.417559711Z'],
            'event.created': ['2021-02-08T21:50:28.3377092Z'],
            'event.kind': ['event'],
            'event.module': ['endpoint'],
            'event.action': ['log_on'],
            'event.id': ['LzzWB9jjGmCwGMvk++++FG/O'],
            'event.category': ['authentication', 'session'],
            'event.type': ['start'],
            'event.dataset': ['endpoint.events.security'],
            'event.outcome': ['success'],
            'user.domain': ['NT AUTHORITY'],
            'user.name': ['SYSTEM'],
          },
        },
        {
          _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
          _id: 'qxymg3cBX5UUcOOYP3Ec',
          fields: {
            'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
            'agent.type': ['endpoint'],
            'agent.version': ['7.10.0'],
            '@timestamp': ['2021-02-08T21:50:28.3377142Z'],
            message: ['Endpoint security event'],
            'process.Ext.ancestry': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
            ],
            'process.entity_id': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
            ],
            'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
            'ecs.version': ['1.5.0'],
            'data_stream.namespace': ['default'],
            'data_stream.type': ['logs'],
            'data_stream.dataset': ['endpoint.events.security'],
            'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
            'host.hostname': ['win2019-endpoint-mr-pedro'],
            'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
            'host.os.name': ['Windows'],
            'host.os.kernel': ['1809 (10.0.17763.1697)'],
            'host.os.family': ['windows'],
            'host.os.version': ['1809 (10.0.17763.1697)'],
            'host.os.platform': ['windows'],
            'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
            'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
            'host.name': ['win2019-endpoint-mr-pedro'],
            'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
            'host.mac': ['42:01:0a:80:00:39'],
            'host.architecture': ['x86_64'],
            'event.sequence': [3293867],
            'event.ingested': ['2021-02-08T21:57:26.417596906Z'],
            'event.created': ['2021-02-08T21:50:28.3377142Z'],
            'event.kind': ['event'],
            'event.module': ['endpoint'],
            'event.action': ['log_on'],
            'event.id': ['LzzWB9jjGmCwGMvk++++FG/P'],
            'event.category': ['authentication', 'session'],
            'event.type': ['start'],
            'event.dataset': ['endpoint.events.security'],
            'event.outcome': ['success'],
            'user.domain': ['NT AUTHORITY'],
            'user.name': ['SYSTEM'],
          },
        },
        {
          _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
          _id: 'rBymg3cBX5UUcOOYP3Ec',
          fields: {
            'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
            'agent.type': ['endpoint'],
            'agent.version': ['7.10.0'],
            '@timestamp': ['2021-02-08T21:50:28.3381013Z'],
            message: ['Endpoint security event'],
            'process.Ext.ancestry': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
            ],
            'process.entity_id': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
            ],
            'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
            'ecs.version': ['1.5.0'],
            'data_stream.namespace': ['default'],
            'data_stream.type': ['logs'],
            'data_stream.dataset': ['endpoint.events.security'],
            'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
            'host.hostname': ['win2019-endpoint-mr-pedro'],
            'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
            'host.os.name': ['Windows'],
            'host.os.kernel': ['1809 (10.0.17763.1697)'],
            'host.os.family': ['windows'],
            'host.os.version': ['1809 (10.0.17763.1697)'],
            'host.os.platform': ['windows'],
            'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
            'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
            'host.name': ['win2019-endpoint-mr-pedro'],
            'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
            'host.mac': ['42:01:0a:80:00:39'],
            'host.architecture': ['x86_64'],
            'event.sequence': [3293868],
            'event.ingested': ['2021-02-08T21:57:26.417632166Z'],
            'event.created': ['2021-02-08T21:50:28.3381013Z'],
            'event.kind': ['event'],
            'event.module': ['endpoint'],
            'event.action': ['log_on'],
            'event.id': ['LzzWB9jjGmCwGMvk++++FG/Q'],
            'event.category': ['authentication', 'session'],
            'event.type': ['start'],
            'event.dataset': ['endpoint.events.security'],
            'event.outcome': ['success'],
            'user.domain': ['NT AUTHORITY'],
            'user.name': ['SYSTEM'],
          },
        },
        {
          _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
          _id: 'qxymg3cBX5UUcOOYP3Ec',
          fields: {
            'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
            'agent.type': ['endpoint'],
            'agent.version': ['7.10.0'],
            '@timestamp': ['2021-02-08T21:50:28.3377142Z'],
            message: ['Endpoint security event'],
            'process.Ext.ancestry': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
            ],
            'process.entity_id': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
            ],
            'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
            'ecs.version': ['1.5.0'],
            'data_stream.namespace': ['default'],
            'data_stream.type': ['logs'],
            'data_stream.dataset': ['endpoint.events.security'],
            'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
            'host.hostname': ['win2019-endpoint-mr-pedro'],
            'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
            'host.os.name': ['Windows'],
            'host.os.kernel': ['1809 (10.0.17763.1697)'],
            'host.os.family': ['windows'],
            'host.os.version': ['1809 (10.0.17763.1697)'],
            'host.os.platform': ['windows'],
            'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
            'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
            'host.name': ['win2019-endpoint-mr-pedro'],
            'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
            'host.mac': ['42:01:0a:80:00:39'],
            'host.architecture': ['x86_64'],
            'event.sequence': [3293867],
            'event.ingested': ['2021-02-08T21:57:26.417596906Z'],
            'event.created': ['2021-02-08T21:50:28.3377142Z'],
            'event.kind': ['event'],
            'event.module': ['endpoint'],
            'event.action': ['log_on'],
            'event.id': ['LzzWB9jjGmCwGMvk++++FG/P'],
            'event.category': ['authentication', 'session'],
            'event.type': ['start'],
            'event.dataset': ['endpoint.events.security'],
            'event.outcome': ['success'],
            'user.domain': ['NT AUTHORITY'],
            'user.name': ['SYSTEM'],
          },
        },
        {
          _index: '.ds-logs-endpoint.events.security-default-2021.02.05-000005',
          _id: 'rBymg3cBX5UUcOOYP3Ec',
          fields: {
            'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
            'agent.type': ['endpoint'],
            'agent.version': ['7.10.0'],
            '@timestamp': ['2021-02-08T21:50:28.3381013Z'],
            message: ['Endpoint security event'],
            'process.Ext.ancestry': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
            ],
            'process.entity_id': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU4MC0xMzI1NTA3ODY2Ny45MTg5Njc1MDA=',
            ],
            'process.executable': ['C:\\Windows\\System32\\lsass.exe'],
            'ecs.version': ['1.5.0'],
            'data_stream.namespace': ['default'],
            'data_stream.type': ['logs'],
            'data_stream.dataset': ['endpoint.events.security'],
            'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
            'host.hostname': ['win2019-endpoint-mr-pedro'],
            'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
            'host.os.name': ['Windows'],
            'host.os.kernel': ['1809 (10.0.17763.1697)'],
            'host.os.family': ['windows'],
            'host.os.version': ['1809 (10.0.17763.1697)'],
            'host.os.platform': ['windows'],
            'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
            'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
            'host.name': ['win2019-endpoint-mr-pedro'],
            'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
            'host.mac': ['42:01:0a:80:00:39'],
            'host.architecture': ['x86_64'],
            'event.sequence': [3293868],
            'event.ingested': ['2021-02-08T21:57:26.417632166Z'],
            'event.created': ['2021-02-08T21:50:28.3381013Z'],
            'event.kind': ['event'],
            'event.module': ['endpoint'],
            'event.action': ['log_on'],
            'event.id': ['LzzWB9jjGmCwGMvk++++FG/Q'],
            'event.category': ['authentication', 'session'],
            'event.type': ['start'],
            'event.dataset': ['endpoint.events.security'],
            'event.outcome': ['success'],
            'user.domain': ['NT AUTHORITY'],
            'user.name': ['SYSTEM'],
          },
        },
        {
          _index: '.ds-logs-endpoint.events.process-default-2021.02.02-000005',
          _id: 'pxymg3cBX5UUcOOYP3Ec',
          fields: {
            'agent.id': ['1d15cf9e-3dc7-5b97-f586-743f7c2518b2'],
            'agent.type': ['endpoint'],
            'agent.version': ['7.10.0'],
            '@timestamp': ['2021-02-08T21:50:28.3446355Z'],
            message: ['Endpoint security event'],
            'process.Ext.ancestry': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTIzODAtMTMyNTUwNzg2ODkuOTY1Nzg1NTAw',
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTU2OC0xMzI1NTA3ODY2Ny4zMjk3MDY2MDA=',
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTQ2OC0xMzI1NTA3ODY2NS42Mzg5MzY1MDA=',
            ],
            'process.Ext.code_signature': [
              {
                trusted: true,
                subject_name: 'Microsoft Corporation',
                exists: true,
                status: 'trusted',
              },
            ],
            'process.Ext.token.integrity_level_name': ['high'],
            'process.Ext.token.elevation_level': ['default'],
            'process.entity_id': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTYzNjgtMTMyNTcyOTQ2MjguMzQ0NjM1NTAw',
            ],
            'process.args': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe', '-y'],
            'process.parent.args': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe', '-R'],
            'process.parent.name': ['sshd.exe'],
            'process.parent.pid': [5284],
            'process.parent.args_count': [2],
            'process.parent.entity_id': [
              'MWQxNWNmOWUtM2RjNy01Yjk3LWY1ODYtNzQzZjdjMjUxOGIyLTUyODQtMTMyNTcyOTQ2MjMuOTk2NTkxMDAw',
            ],
            'process.parent.command_line': ['"C:\\Program Files\\OpenSSH-Win64\\sshd.exe" -R'],
            'process.parent.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
            'process.code_signature.trusted': [true],
            'process.code_signature.subject_name': ['Microsoft Corporation'],
            'process.code_signature.exists': [true],
            'process.code_signature.status': ['trusted'],
            'process.name': ['sshd.exe'],
            'process.pid': [6368],
            'process.args_count': [2],
            'process.command_line': ['"C:\\Program Files\\OpenSSH-Win64\\sshd.exe" -y'],
            'process.hash.sha1': ['631244d731f406394c17c7dfd85203e317c74814'],
            'process.hash.sha256': [
              'e6a972f9db27de18be225095b3b3141b945be8aadc4014c8704ae5acafe3e8e0',
            ],
            'process.hash.md5': ['331ba0e529810ef718dd3efbd1242302'],
            'process.executable': ['C:\\Program Files\\OpenSSH-Win64\\sshd.exe'],
            'ecs.version': ['1.5.0'],
            'data_stream.namespace': ['default'],
            'data_stream.type': ['logs'],
            'data_stream.dataset': ['endpoint.events.security'],
            'elastic.agent.id': ['f5dec71e-438c-424e-ac9b-0281f10412b9'],
            'host.hostname': ['win2019-endpoint-mr-pedro'],
            'host.os.Ext.variant': ['Windows Server 2019 Datacenter'],
            'host.os.name': ['Windows'],
            'host.os.kernel': ['1809 (10.0.17763.1697)'],
            'host.os.family': ['windows'],
            'host.os.version': ['1809 (10.0.17763.1697)'],
            'host.os.platform': ['windows'],
            'host.os.full': ['Windows Server 2019 Datacenter 1809 (10.0.17763.1697)'],
            'host.ip': ['10.128.0.57', 'fe80::9ced:8f1c:880b:3e1f', '127.0.0.1', '::1'],
            'host.name': ['win2019-endpoint-mr-pedro'],
            'host.id': ['d8ad572e-d224-4044-a57d-f5a84c0dfe5d'],
            'host.mac': ['42:01:0a:80:00:39'],
            'host.architecture': ['x86_64'],
            'event.sequence': [3293863],
            'event.ingested': ['2021-02-08T21:57:26.417387865Z'],
            'event.created': ['2021-02-08T21:50:28.3446355Z'],
            'event.kind': ['event'],
            'event.module': ['endpoint'],
            'event.action': ['log_on'],
            'event.id': ['LzzWB9jjGmCwGMvk++++FG/K'],
            'event.category': ['authentication', 'session'],
            'event.type': ['start'],
            'event.dataset': ['endpoint.events.security'],
            'event.outcome': ['success'],
            'user.domain': [''],
            'user.name': [''],
          },
        },
      ],
    },
    statusCode: 200,
    headers: {},
    meta: {},
  },
} as unknown as EqlSearchStrategyResponse<EqlSearchResponse<unknown>>;
